## icecast-server 1.3.10-1

=== debian/changelog ===
icecast-server (1.3.10-1) stable; urgency=urgent
  * Several security exploits found to icecast.  No simple way to patch
  * old version, so upgrade to latest stable version from icecast.org
  * If questions or assistance needed join #icecast on openprojects.net IRC
 -- David M. Zendzian <dmz@debian.org>  Wed, 14 Mar 2001 22:22:47 -0800

Local variables:
mode: debian-changelog
End:
