=== debian/control ===
Source: icecast-server
Section: sound
Priority: optional
Maintainer: David M. Zendzian <dmz@debian.org>
Standards-Version: 3.1.1

Package: icecast-server
Architecture: any
Depends: ${shlibs:Depends}
Recommends: makepasswd
Description: Streaming Mpeg Layer III server
 Icecast is an Internet based broadcasting system based on the Mpeg
 Layer III streaming technology.  It was originally inspired by
 Nullsoft's Shoutcast and also mp3serv by Scott Manley.  The icecast
 project was started for several reasons: a) all broadcasting systems
 were pretty much closed source, non-free software implementations, b)
 Shoutcast doesn't allow you to run your own directory servers, or
 support them, and c) we thought it would be a lot of fun.
 .
 Icecast is almost completely Shoutcast compatible as far as we've
 been able to determine.  WinAmp can both send encoded streams as well
 as stream music from icecast.  Icecast can also use the
 yp.shoutcast.com directory services and adds the ability to use other
 directory services.
