## icecast-server 1.3.11-4.2

=== debian/changelog ===
icecast-server (1:1.3.11-4.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch by Emmanuel le Chevoir to fix cross site scripting
    problem discovered by Markus Wrle [src/http.c, src/http.h,
    CAN-2004-0781]

 -- Martin Schulze <joey@infodrom.org>  Tue, 17 Aug 2004 18:49:33 +0200

icecast-server (1:1.3.11-4.1) unstable; urgency=high

  * NMU
  * fixed grave security problem : backported fixes from upstream 1.3.12
  Closes #141051
  * fixed Build-Depends location in debian/control
  * bumped version to 1.3.11-debian in configure.in, as it is now an hybrid 
    between 1.3.11 and 1.3.12 
    (upstream 1.3.12 is essentially a security-fix release).
  * fixed postinst
  Closes #125889

 -- Emmanuel le Chevoir <manu42@free.fr>  Wed, 24 Apr 2002 10:07:53 +0200

icecast-server (1:1.3.11-4) unstable; urgency=low
  Closes: #114546
  * Made recommended changes
  Closes: #115356
  * added --system option to adduser command
  Closes: #103120
  * README file notes cleaned up.
  Closes: #97227
  * Patched src/commands.c to return if no args to ping_cmd

 -- David M. Zendzian <dmz@debian.org>  Thu, 04 Oct 2001 01:01:01 -0800

icecast-server (1:1.3.11-3) unstable; urgency=low
  * rebuilt on machine with libwrap

 -- David M. Zendzian <dmz@debian.org>  Thu, 04 Oct 2001 01:01:01 -0800

icecast-server (1:1.3.11-2) unstable; urgency=low
  Closes: #89728
  * Closed in 11-1, but didn't clean up bug database 
  Closes: #109267
  * Forgot to check configure.in with new version, fixed ICECAST_DOCDIR

 -- David M. Zendzian <dmz@debian.org>  Sat, 22 Sep 2001 02:21:47 -0800

icecast-server (1:1.3.11-1) unstable; urgency=low
  Closes: #89728
  Closes: #101723
  Closes: #104463
  Closes: #105742
  Closes: #108132
  
 -- David M. Zendzian <dmz@debian.org>  Wed, 15 Aug 2001 23:45:47 -0800

icecast-server (1:1.3.10-2) unstable; urgency=low
  * Minor configure file changes
  * Man page changes
  * preinst script fix to allow upgrade from stable to unstable
 -- David M. Zendzian <dmz@debian.org>  Thu, 15 Mar 2001 01:12:47 -0800

icecast-server (1:1.3.10-1) unstable; urgency=high
  Closes: #89443
  * Security problems in 1.3.8 
  * Other problems released and worked with upstream author to incorporate fixes in new debian package
  Closes: #83955
  * I think it was a problem in the postinst script
  Closes: #83958
  * install script problems again
  Closes: #85440
  * there really isn't a man page and it shouldn't be included, all docs in /usr/share/doc/icecast-server
 -- David M. Zendzian <dmz@debian.org>  Mon, 12 Mar 2001 22:22:47 -0800

icecast-server (1:1.3.8.beta2-5) unstable; urgency=high
  Closes: #83527
  * Security vulnerability http://lwn.net/2001/0125/a/sec-icecast.php3 fixed
  * Start server as non-root user (icecast)
  Closes: #65341
  * Actually -4 closed it but forgot to mention --with-libwrap enabled
  Closes: #81220
  * Yeah been slack, finally got this one cleaned up
 -- David M. Zendzian <dmz@debian.org>  Thu, 25 Jan 2001 23:22:47 -0800

icecast-server (1:1.3.8.beta2-4) unstable; urgency=high

  Closes: #66166
  * User inability to use tools is not a bug in the package.  
  * Join #icecast on irc.debian.org for support on package
  Closes: #68833
  * Icecast does not use /etc/default/icecast anymore
  Closes: #69840
  * Bug fix release
 -- David M. Zendzian <dmz@debian.org>  Sun, 30 Dec 2000 23:22:47 -0800
  

icecast-server (1:1.3.8.beta2-3) unstable; urgency=high
  * Adds -b in startup script per-request of Ivan Kohler <ivan@sisd.com>
  * - for restart option in script, for cases where people haven't configured
  * - their server to be a daemon in with the other server configurations
  Closes: 69840
 -- David M. Zendzian <dmz@debian.org>  Tue, 23 Aug 2000 23:22:47 -0800
  

icecast-server (1:1.3.8.beta2-2) unstable; urgency=high
  * Addressed startup issues noticed by Ivan Kohler
  * - fixed dist-config file to put server in daemon mode
  * - added a -b to the command line of startup script to background daemon
  * - changed restart timeout value to 10 seconds
  Closes: #69540
 -- David M. Zendzian <dmz@debian.org>  Tue, 22 Aug 2000 01:39:47 -0800

icecast-server (1:1.3.8.beta2-1) unstable; urgency=low
  * CVS Update
 -- David M. Zendzian <dmz@debian.org>  Sun, 13 Aug 2000 15:35:47 -0800

icecast-server (1:1.3.7-1) unstable; urgency=low
  * New CVS release with bug fixes and other such things.

 -- David M. Zendzian <dmz@debian.org>  Sun,  6 Aug 2000 20:37:47 -0800

icecast-server (2.0-3) unstable; urgency=low

  * included mkpasswd program from icetools to binary directory as ice_mkpasswd
  * removed dependancy on makpasswd as people still reported bugs about no passwd program
  * added dependancy on makepasswd to create crypted password
  Closes: #56466
  * server doesn't use START_ICECAST in conf, now just std init.d
  Closes: #38676
  * /etc/default/icecast isn't used in lastest version
  Closes: #42100
  * New server works as better daemon
  Closes: #42641
  * icecast now on latest cvs release
  Closes: #53535
  * new server is a better behaved daemon
  Closes: #56467

 -- David M. Zendzian <dmz@debian.org>  Wed,  2 Feb 2000 20:03:47 -0800

Local variables:
mode: debian-changelog
End:
