=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: icecast-server
 Section: sound
 Priority: optional
+Build-Depends: autoconf, debmake, libwrap-dev
 Maintainer: David M. Zendzian <dmz@debian.org>
-Standards-Version: 3.1.1
+Standards-Version: 3.5.6.0
 
 Package: icecast-server
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends} 
 Recommends: makepasswd
 Description: Streaming Mpeg Layer III server
  Icecast is an Internet based broadcasting system based on the Mpeg
